[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'LazHelpHTML' (#lcl)

# THTMLHelpDatabase.Load

Loads HTML help database settings from the specified configuration storage.

## Declaration

Source position: lazhelphtml.pas line 74

`public procedure THTMLHelpDatabase.Load(`
`Storage: TConfigStorage`
`); override;`

## Arguments

`Storage` |  | Configuration storage with values loaded in the method.

## Description

Load is an overridden procedure in THTMLHelpDatabase, and calls the inherited method. Load ensures that the value for the BaseURL setting in Storage is used as the value for the BaseURL property. If the setting does not exist in Storage, the value from DefaultBaseURL is used in BaseURL.

Use Save to store the value from BaseURL to the configuration storage.

## See also

THTMLHelpDatabase.BaseURL |  | Protocol and Path to the directory where HTML help files are stored for the HTML help database.
THTMLHelpDatabase.DefaultBaseURL |  | Default value for the BaseURL used in the HTML help database.
THTMLHelpDatabase.Save |  | Saves configuration settings to the specified storage.